# Get current employment details

Get the details of a specific current employment record.

Endpoint: GET /api/mx/current-employments/{id}/
Version: 1.223.0
Security: basicAuth

## Path parameters:

  - `id` (string, required)
    The ID of the current employment record.

## Response 200 fields (application/json):

  - `id` (string, required)
    Belvo's unique identifier for the current item.
    Example: "0d3ffb69-f83b-456e-ad8e-208d0998d71d"

  - `link` (string,null, required)
    The link.id the data belongs to.
    Example: "30cb4806-6e00-48a4-91c9-ca55968576c8"

  - `created_at` (string, required)
    The ISO-8601 timestamp of when the data point was created in Belvo's database.
    Example: "2022-02-09T08:45:50.406032Z"

  - `collected_at` (string, required)
    The ISO-8601 timestamp when the data point was collected.
    Example: "2022-02-09T08:45:50.406032Z"

  - `month` (string,null, required)
    The month for which the current employment status is reported, in YYYY-MM format. If status is UNEMPLOYED, this field is null.
    Example: "2023-01"

  - `internal_identification` (string,null, required)
    Unique ID for user according to the institution. For IMSS and ISSSTE Mexico, this is the CURP. If status is UNEMPLOYED, this field is null.
    Example: "BLPM230130IONVGR54"

  - `personal_data` (object, required)
    Details regarding the personal information of the individual.

  - `personal_data.official_name` (string,null, required)
    The legal name of the individual.
    Example: "Bruce Banner del Torro"

  - `personal_data.first_name` (string,null, required)
    The first name of the individual.
    Example: "Bruce"

  - `personal_data.last_name` (string,null, required)
    The last name of the individual.
    Example: "Banner del Torro"

  - `personal_data.birth_date` (string,null, required)
    The date of birth of the individual, in YYYY-MM-DD format.
    Example: "1990-02-09"

  - `personal_data.document_ids` (array, required)
    Details regarding the individual's ID documents.

  - `personal_data.document_ids.document_type` (string,null, required)
    The type of document related to the individual. We return one of the following values:

  - NSS
  - CURP
  - RFC
    Enum: "NSS", "CURP", "RFC"

  - `personal_data.document_ids.document_number` (string,null, required)
    The ID document's number (as a string).
    Example: "10277663582"

  - `status` (string, required)
    The current employment status of the individual.
    Enum: "EMPLOYED", "UNEMPLOYED"

  - `current_employment_records` (array,null, required)
    Details regarding the individual's current employment. If status is UNEMPLOYED, this field is null.

  - `current_employment_records.employer` (string, required)
    The official name of the employer.
    Example: "Batman Enterprises CDMX"

  - `current_employment_records.employer_id` (string, required)
    The official ID of the employer, according to the country.
    Example: "123456789010"

  - `current_employment_records.employer_rfc` (string, required)
    The employer's RFC (tax identification number).
    Example: "RFC123456"

  - `current_employment_records.state` (string, required)
    The geographical state where the employment is located.
    Example: "CDMX"

  - `current_employment_records.days_employed` (integer, required)
    The number of days the individual has been employed with this employer.
    Example: 365

  - `current_employment_records.base_salary` (number,null, required)
    The base salary of the individual.
    Example: 10000

  - `current_employment_records.monthly_salary` (number,null, required)
    The monthly salary of the individual, including any additional perks.
    Example: 304166.67

## Response 403 fields (application/json):

  - `code` (string)
    A unique error code (access_to_resource_denied) that allows you to classify and handle the error programmatically.


ℹ️ Check our DevPortal for more information on how to handle 403 access_to_resource_denied.
    Example: "access_to_resource_denied"

  - `message` (string)
    A short description of the error. 


For access_to_resource_denied errors, the description is:
  
  - You don't have access to this resource..
    Example: "You don't have access to this resource."

  - `request_id` (string)
    A 32-character unique ID of the request (matching a regex pattern of: [a-f0-9]{32}). Provide this ID when contacting the Belvo support team to accelerate investigations.
    Example: "9e7b283c6efa449c9c028a16b5c249fb"

## Response 404 fields (application/json):

  - `code` (string)
    A unique error code (not_found) that allows you to classify and handle the error programmatically.
    Example: "not_found"

  - `message` (string)
    A short description of the error.


For not_found errors, the description is:

  - Not found
    Example: "Not found"

  - `request_id` (string)
    A 32-character unique ID of the request (matching a regex pattern of: [a-f0-9]{32}). Provide this ID when contacting the Belvo support team to accelerate investigations.
    Example: "9e7b283c6efa449c9c028a16b5c249fb"

## Response 408 fields (application/json):

  - `code` (string)
    A unique error code (request_timeout) that allows you to classify and handle the error programmatically.


ℹ️ Check our DevPortal for more information on how to handle 408 request_timeout errors.
    Example: "request_timeout"

  - `message` (string)
    A short description of the error. 


For request_timeout errors, the description is:
  
  - The request timed out, you can retry asking for less data by changing your query parameters.
    Example: "The request timed out, you can retry asking for less data by changing your query parameters"

  - `request_id` (string)
    A 32-character unique ID of the request (matching a regex pattern of: [a-f0-9]{32}). Provide this ID when contacting the Belvo support team to accelerate investigations.
    Example: "9e7b283c6efa449c9c028a16b5c249fb"

## Response 428 fields (application/json):

  - `code` (string)
    A unique error code (token_required) that allows you to classify and handle the error programmatically.
ℹ️ Check our DevPortal for more information on how to handle 428 token_required errors.
    Example: "token_required"

  - `message` (string)
    A short description of the error. 
For token_required errors, the description is:
  
  - A MFA token is required by the institution to login.
    Example: "A MFA token is required by the institution to login"

  - `request_id` (string)
    A 32-character unique ID of the request (matching a regex pattern of: [a-f0-9]{32}). Provide this ID when contacting the Belvo support team to accelerate investigations.
    Example: "9e7b283c6efa449c9c028a16b5c249fb"

  - `session` (string)
    A 32-character unique ID of the login session (matching a regex pattern of: [a-f0-9]{32}).
    Example: "2675b703b9d4451f8d4861a3eee54449"

  - `expiry` (integer)
    Session duration time in seconds.
    Example: 9600

  - `link` (string)
    Unique identifier created by Belvo, used to reference the current
Link.
    Example: "30cb4806-6e00-48a4-91c9-ca55968576c8"

  - `token_generation_data` (object)
    Details on how to generate the token.

  - `token_generation_data.instructions` (string)
    Instructions for token generation.
    Example: "Use this code to generate the token"

  - `token_generation_data.type` (string)
    Type of the data to generate the token (QR code, numeric
challenge).
    Example: "numeric"

  - `token_generation_data.value` (string)
    Value to use to generate the token.
    Example: "12345"

  - `token_generation_data.expects_user_input` (boolean)
    Indicates whether the user needs to provide input in order to complete the authentication.
When set to false, your user may need to:
- confirm the login on another device
- scan a QR code
You will still need to make a PATCH call to complete the request.
    Example: true

## Response 500 fields (application/json):

  - `code` (string)
    A unique error code (unexpected_error) that allows you to classify and handle the error programmatically.


ℹ️ Check our DevPortal for more information on how to handle 500 unexpected_error errors.
    Example: "unexpected_error"

  - `message` (string)
    A short description of the error. 


For unexpected_error errors, the description is:
  
  - Belvo is unable to process the request due to an internal system issue or to an unsupported response from an institution.
    Example: "Belvo is unable to process the request due to an internal system issue or to an unsupported response from an institution"

  - `request_id` (string)
    A 32-character unique ID of the request (matching a regex pattern of: [a-f0-9]{32}). Provide this ID when contacting the Belvo support team to accelerate investigations.
    Example: "9e7b283c6efa449c9c028a16b5c249fb"


